%define LANG fr
%define version 0.8
%define release 2mdk
%define patch_ver 0.9-pre1

Summary: French man (manual) pages from the Linux Documentation Project.
Summary(fr): Pages de manuel en franais du Projet de Documentation Linux.
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Internationalization
Source: ftp://ftp.lip6.fr/pub/linux/french/docs/man-fr-%{version}.tar.bz2 
Source1: makewhatis.%{LANG}.bz2
Source2: man-pages-%{LANG}-goodies.tar.bz2
Patch0: ftp://ftp.mandrakesoft.com/pub/tv/man-fr/%{name}-%{patch_ver}.diff.bz2
Icon: books-%{LANG}.xpm
Buildroot: /var/tmp/man-pages-%{LANG}-root
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to French.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)
        Section 9:  Kernel routines

%description -l fr
Une large collection de pages de manuel du Project de Documentation Linux (LDP),
traduites en Franais. Les pages de manuel sont organises en differentes
sections :

        Section 1:  Commandes utilisateur.
        Section 2:  Appels systme.
        Section 3:  Appels de la Libc.
        Section 4:  Priphriques (par ex. hd, sd).
        Section 5:  Formats de fichiers et de protocoles (par ex. wtmp,
					/etc/passwd, nfs)
        Section 6:  Jeux (intro seulement)
        Section 7:  Conventions, macro packages, etc. (par ex. nroff, ascii)
        Section 8:  Administration systme (intro seulement)
        Section 9:  Routines du noyau

%prep
%setup -n man-fr-%{version}
%patch0 -p1

%build


%install

(cd man7; ln -sf iso_8859-1.7 latin1.7; ln -sf iso_8859-1.7 iso_8859_7.7)
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/%{LANG}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 7 8 9 ; do
	cp -adpvrf man$i $RPM_BUILD_ROOT/usr/man/%{LANG}/
done

# those files conflict whith net-tools
rm $RPM_BUILD_ROOT/usr/man/fr/man1/dnsdomainname.1
rm $RPM_BUILD_ROOT/usr/man/fr/man1/hostname.1

tar yxvf $RPM_SOURCE_DIR/man-pages-%{LANG}-goodies.tar.bz2 \
        -C $RPM_BUILD_ROOT/usr

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
	$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/usr/man/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /usr/man/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron
touch $RPM_BUILD_ROOT/usr/man/%{LANG}

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /usr/man/%{LANG}
   if [ ! -d /usr/man/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man)
%doc LISEZ_MOI changements
%defattr(0644,root,man,2755)
%dir /usr/man/%{LANG}
/usr/man/%{LANG}/man*
%ghost /usr/man/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- convert to new group scheme
- use spechelper
- fix build as user (the makewhatis that was added at the end of the rpm
  process try to write on /root/whatis ...)
- fix problem with spechelper with links on links on files.

* Fri Feb 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-1mdk
- Tadaa! 0.8 is out (thanks Thierry)

* Thu Jan 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixes and corrections from Thierry Vignaud

* Wed Dec 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added 'man drake' from Aleksey Smirnov

* Thu Dec 09 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- more man-pages ...
- fix non-root build

* Thu Dec 07 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add some new (25+) manpages that were present in LDP's english man-pages but
  not in french ones with the benediction of C. Blaess which will wait before
  releasing man-fr-1.28 (he's thinking about using the LDP versionning system
  as soon as we have all the manpages).

  Here is a partial list of new manpages :
  dir(1), intro(1), vdir(1),
  capget(2), capset(2), lchown(2), pread(2), sendfile(2),
  MB_CUR_MAX(3), MB_LEN_MAX(3), bindresvport(3), getrpcport(3), wcslen(3),
      fgetwc(3), getwc(3)
  fifo(4),
  hosts.equiv(5), rpc(5),
  sync(8),
  init_module(9), probe_irq_off(9), probe_irq_on(9), proc_dir_entry(9),
      proc_register(9), proc_register_dynamic(9), proc_unregister(9)

- also fix some typos (some of mine though)

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Fri Aug 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected typos in french description

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Tue Jul  8 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated description

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the name from man-fr to man-pages-fr, to make it consistent
  with the english man pages package.
- updated to version 0.7 of french man pages
- merged with the rpm package I mantained before; that is I added an icon,
  the /var/catman/fr tree, a makewhatis.fr script, and a cron entry to run it  

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environnement.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Initial version.
- Add a script for /etc/man.config

